aboutsummaryrefslogtreecommitdiff
path: root/test-suite/misc
diff options
context:
space:
mode:
authorVincent Laporte2019-05-13 13:26:34 +0000
committerVincent Laporte2019-05-13 13:26:34 +0000
commit9f11eeefc204bdad029b66f30bc6c52377af63ae (patch)
treef6fe5b471871383973fc1adf1cee180ef6a35128 /test-suite/misc
parent34fbc9cc6b30fc8e7dc2bd37756d5ede29074de0 (diff)
parent60e976a627b213445443952342a8eec7193d9b85 (diff)
Merge PR #10085: Do not include unreleased changelog in released versions.
Ack-by: SkySkimmer Ack-by: Zimmi48 Ack-by: jfehrle Reviewed-by: vbgl
Diffstat (limited to 'test-suite/misc')
-rwxr-xr-xtest-suite/misc/changelog.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test-suite/misc/changelog.sh b/test-suite/misc/changelog.sh
new file mode 100755
index 0000000000..8b4a49e577
--- /dev/null
+++ b/test-suite/misc/changelog.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+while read line; do
+ if [ "$line" = "is_a_released_version = False" ]; then
+ echo "This is not a released version: nothing to test."
+ exit 0
+ fi
+done < ../config/coq_config.py
+
+for d in ../doc/changelog/*; do
+ if [ -d "$d" ]; then
+ if [ "$(ls $d/*.rst | wc -l)" != "1" ]; then
+ echo "Fatal: unreleased changelog entries remain in ${d#../}/"
+ echo "Include them in doc/sphinx/changes.rst and remove them from doc/changelog/"
+ exit 1
+ fi
+ fi
+done